# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2017-06-04 22:42
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('order', '0001_initial'),
        ('auto', '0002_auto_20170527_2351'),
    ]

    operations = [
        migrations.CreateModel(
            name='PodborAuto',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, db_index=True, verbose_name='Дата создания')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Последнее изменение')),
                ('year_auto', models.PositiveSmallIntegerField(choices=[(0, 'Не важно'), (1, '1995'), (2, '1996'), (3, '1997'), (4, '1998'), (5, '1999'), (6, '2000'), (7, '2001'), (8, '2002'), (9, '2003'), (10, '2004'), (11, '2005'), (12, '2006'), (13, '2007'), (14, '2008'), (15, '2009'), (16, '2010'), (17, '2011'), (18, '2012'), (19, '2013'), (20, '2014'), (21, '2015'), (22, '2016'), (23, '2017')], default=0, verbose_name='Год выпуска')),
                ('cost', models.PositiveIntegerField(blank=True, default=None, null=True, verbose_name='Стоимость')),
                ('body_type_auto', models.PositiveSmallIntegerField(choices=[(0, 'Не важно'), (1, 'Седан'), (2, 'Хэтчбек 3дв'), (3, 'Хэтчбек 5дв'), (4, 'Лифтбек'), (5, 'Внедорожник 3дв'), (6, 'Внедорожник 5дв'), (7, 'Универсал'), (8, 'Купе'), (9, 'Минивэн'), (10, 'Пикап'), (11, 'Лимузин'), (12, 'Фургон'), (13, 'Кабриолет')], default=0, verbose_name='Тип кузова')),
                ('transmission_type', models.PositiveSmallIntegerField(choices=[(0, 'Не важно'), (1, 'Автоматическая'), (2, 'Механическая'), (3, 'Робот'), (4, 'Вариатор')], default=0, verbose_name='Тип трасмиссии')),
                ('engine_capacity', models.FloatField(verbose_name='Объём двигателя')),
                ('engine_type', models.PositiveSmallIntegerField(choices=[(0, 'Не важно'), (1, 'Бензиновый'), (2, 'Дизель'), (3, 'Гибрид'), (3, 'Электро')], default=0, verbose_name='Тип двигателя')),
                ('drive_type', models.IntegerField(choices=[(0, 'Не важно'), (1, 'Передний'), (2, 'Задний'), (3, 'Полный')], default=0, verbose_name='Тип привода')),
                ('color_auto', models.CharField(default='', max_length=50, verbose_name='Цвет')),
                ('salon_auto', models.CharField(default='', max_length=50, verbose_name='Салон')),
                ('mileage', models.PositiveIntegerField(blank=True, default=None, null=True, verbose_name='Пробег')),
                ('equipment', models.CharField(default='', max_length=255, verbose_name='Комплектация')),
                ('number_of_hosts', models.IntegerField(choices=[(0, 'Не важно'), (1, '1'), (2, '2'), (3, '3'), (4, 'Более трех')], default=0, verbose_name='Количество по ПТС')),
                ('selection_period', models.CharField(default='1 месяц', max_length=20, verbose_name='Комплектация')),
                ('comment', models.CharField(blank=True, default=None, max_length=200, null=True, verbose_name='Комментарий')),
                ('mark_auto', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='auto.MarkAuto', verbose_name='Заказ')),
                ('model_auto', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='auto.ModelAuto', verbose_name='Заказ')),
                ('order', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='order.Order', verbose_name='Заказ')),
            ],
            options={
                'verbose_name': 'подбор',
                'verbose_name_plural': 'подборы',
                'ordering': ['created'],
            },
        ),
    ]
